% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_suggested.R
\name{get_suggested}
\alias{get_suggested}
\title{Require Suggested Package or Retrieve Function at Runtime}
\usage{
get_suggested(pkg, fun = NULL)
}
\arguments{
\item{pkg}{Character string. Name of the package.}

\item{fun}{Optional character string. Name of the function to retrieve from the package.}
}
\value{
If \code{fun} is provided, returns the function object from the package namespace.
        Otherwise, invisibly returns TRUE if the package is available.
}
\description{
This utility ensures a package listed in `Suggests:` is available,
and optionally returns a function from it. If no function is provided,
it just checks the package presence (like a safe `requireNamespace()`).
}
\details{
Base R packages are automatically considered available.
}
